%define version 4.3.10

%define subname	pear
#%{expand:%%define thisdate %(date +%Y%m%d)}
%define pear_date 20040506

Summary:	The PHP PEAR files
Name:		php-%{subname}
Version:	%{version}
#Release:	%{thisdate}.%mkrel 
Release:	%mkrel 3
Group:		Development/Other
License:	PHP License
URL:		http://www.php.net
Source0:	php-pear-%{pear_date}.tar.bz2
Source1:	fixregistry.php
BuildRequires:	php432-devel php-xml perl php-cli
Requires:	php-cli
Requires:	php-xml
Requires:	php-xmlrpc
Provides:       php-pear-Archive_Tar
Provides:       php-pear-Console_Getopt
Provides:	php-pear-DB
Provides:	php-pear-Log
Provides:	php-pear-Net_Socket
Provides:       php-pear-Net_SMTP
Provides:       php-pear-Mail
Provides:	php-pear-Mail_Mime
Provides:       php-pear-XML_Parser
Provides:       php-pear-XML_RPC
Provides:       php-pear-phpUnit
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
PEAR is short for "PHP Extension and Application Repository" and is
pronounced just like the fruit. The purpose of PEAR is to provide:

    * A structured library of open-sourced code for PHP users
    * A system for code distribution and package maintenance
    * A standard style for code written in PHP, specified here
    * The PHP Foundation Classes (PFC), see more below
    * The PHP Extension Code Library (PECL), see more below
    * A web site, mailing lists and download mirrors to support the
      PHP/PEAR community 

%prep

%setup -q -n %{name}

%build
# Make sure that there are no < /dev/tty statements in go-pear
perl -pi -e "s|/dev/tty|php://stdin|;" go-pear
perl -pi -e 's|detect_install_dirs\(\)|detect_install_dirs("%{buildroot}/usr")|;' go-pear
perl -pi -e "s|'XML_Parser',|'XML_Parser',\n    'Log',\n    'Mail_Mime',\n    |;" go-pear

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# Pass default values to go-pear.  This will fetch, build and install PEAR
install -d %{buildroot}%{_datadir}/pear
install -d %{buildroot}%{_bindir}

yes ""|php -q go-pear

echo "Get all the info on http://pear.php.net" > README

# Remove CVS files
find %{buildroot}%{_datadir}/pear -name ".cvsignore" | \
    xargs rm -f

# Remove buildroot
for f in %{buildroot}%{_datadir}/pear/.registry/*.reg; do
    php %SOURCE1 $f %{buildroot}
done

# Turn generated conf into a global setting
install -d %{buildroot}%{_sysconfdir}
grep -v '#' ~/.pearrc > %{buildroot}%{_sysconfdir}/pear.conf 
php %SOURCE1 %{buildroot}%{_sysconfdir}/pear.conf %{buildroot} 

find %{buildroot} -type f|xargs perl -pi -e "s|%{buildroot}||g;"

# Remove empty files
rm -f %{buildroot}%{_datadir}/pear/.lock

# Remove unwanted file
rm -f %{buildroot}/%{_prefix}/php.ini-gopear

# Create the directory that will contain .xml of additionnal packages
install -d %{buildroot}%{_datadir}/pear/packages

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/pear.conf
%dir %{_datadir}/pear
%{_datadir}/pear/*
%{_datadir}/pear/.filemap
%{_datadir}/pear/.registry
%attr(0755,root,root) %{_bindir}/pear

%changelog
* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-3mdk
- use the %%mkrel macro

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-2mdk
- cleanups

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-1mdk
- rebuild for 4.3.10

* Wed Nov 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9-1mdk
- 4.3.9

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8-1mdk
- 4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-1mdk
- remove redundant provides

* Thu May 06 2004 Pascal Terjan <pterjan@mandrake.org> 4.3.6-1mdk
- php 4.3.6

* Wed Apr 22 2004 Pascal Terjan <pterjan@mandrake.org> 4.3.4-4mdk
- updated tarball
- require php-cli else /us/bin/pear won't run

* Sun Jan 04 2004 Pascal Terjan <pterjan@mandrake.org> 4.3.4-3mdk
- create %%{peardir}/packages to contain .xml of additionnal packages 

* Mon Dec 29 2003 Pascal Terjan <CMoi@tuxfamily.org> 4.3.4-2mdk
- point pear config to actual install paths (#6661)
- provide all included pear packages
- fix registry
- use a tarball instead of downloading at build time

* Sat Nov 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4-1mdk
- built for php 4.3.4

* Mon Oct 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3-1mdk
- 4.3.3

* Mon Sep 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2-3mdk
- built for 4.3.3

* Mon Jul 21 2003 David Baudens <baudens@mandrakesoft.com> 4.3.2-2mdk
- Rebuild to fix bad signature

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2-1mdk
- built for 4.3.2
- misc spec file fixes

* Tue May 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1-1mdk
- the obvious rebuild
- misc spec file fixes

* Sun Feb 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.3.0-3mdk
- add Mail_Mime and Net_Socket that are required for horde.

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.3.0-2mdk
- rebuild

* Mon Jan  6 2003 Jean-Michel Dault <jmdalt@mandrakesoft.com> 4.3.0-1mdk
- Completely remade SPEC file
- Added Log package
- Add Provides: ADVXpackage, all ADVX package will have this tag, 
  so we can easily do a rpm --whatprovides ADVXpackage to find out
  what ADVX packages a user has installed on his system. 

* Tue Mar 19 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 4.1.2-20020403.1mdk
- First release of the php-pear package

